testparm
1

# testparm

sprawdź plik konfiguracyjny smb.conf pod względem wewnętrznej poprawności

          testparm
          -s
          -h
          -L nazwaserwera
          nazwaplikukonfig
          nazwahosta IPhosta

## OPIS

Ten program jest częścią pakietu Samba.

`testparm` jest bardzo prostym programem testowym do sprawdzania pliku konfiguracyjnego dla `smbd` , pod względem wewnętrznej poprawności. Jeśli ten program nie stwierdzi problemów, możesz użyć pliku konfiguracyjnego będąc pewnym, że `smbd` pomyślnie go załaduje.

Zauważ, że NIE gwarantuje to, że usługi określone w pliku konfiguracyjnym będą dostępne lub będą funkcjonować zgodnie z oczekiwaniami.

Jeśli opcjonalna nazwa hosta i adres IP hosta są określone w linii poleceń, ten program testowy sprawdzi kolejne wpisy usług raportując, czy podany host ma dostęp do każdej z nich.

Jeśli `testparm` znajdzie błąd w pliku `smb.conf`, wraca z kodem wyjścia 1 do wywołującego programu. W przeciwnym wypadku wraca z kodem wyjścia 0. To pozwala skryptom powłoki testować wyjście z `testparm`.

## OPCJE

-s

  Bez tej opcji, `testparm` zaczeka na powrót karetki (ang. carriage return) po wypisaniu nazw usług i przed pokazaniem definicji usług.

-h

  Wyświetla wiadomość o użyciu

nazwaserwera

  Ustawia wartość makra %L na nazwę serwera. Jest to użyteczne do testowania dołączanych plików specyfikowanych z makrem %L.

nazwaplikukonfig

  Jest to nazwa pliku konfiguracyjnego do sprawdzenia. Jeśli ten parametr nie jest obecny, wtedy sprawdzony będzie domyślny plik `smb.conf`.

nazwahosta

  Jeśli ten parametr i następne są określone, wtedy testparm będzie sprawdzał parametry `hosts allow` i `hosts deny` w pliku `smb.conf` żeby określić, czy nazwa hosta z tym adresem IP mogłaby usyskać dostęp do serwera `smbd`. Jeśli ten parametr jest dostarczony, wówczas parametr hostIP również musi być dostarczony.

IPhosta

  Jest to adres IP hosta określonego w poprzednim parametrze. Ten adres musi być dostarczony, jeśli jest dostarczony parametr nazwahosta.

## PLIKI

`smb.conf`

  Taka jest zazwyczaj nazwa pliku konfiguracyjnego używanego przez `smbd`.

## DIAGNOSTYKA

Program wygeneruje komunikat stwierdzający, czy załadowany plik konfiguracyjny jest w porządku, czy nie. Ten komunikat może być poprzedzony błędami i ostrzeżeniami jeśli plik się nie załadował. Jeśli załadował się w porządku, program zrzuci na standardowe wyjście wszystkie znane detale usług.

## WERSJA

Ta strona podręcznika jest poprawna dla wersji 2.2 pakietu Samba.

## ZOBACZ TEŻ

`smb.conf(5)`, `smbd(8)`

## AUTOR

Pierwotnie, Samba i związane z nią oprogramowanie były stworzone przez Andrew Tridgella . Samba jest teraz rozwijana przez Zespół Samba jako projekt Open Source podobnie jak jądro Linux.

Pierwotnie, strony podręcznika Samba zostały napisane przez Karla Auera. Kody źródłowe tych stron zostały przekonwertowane do formatu YODL (kolejny świetny kawałek oprogramowania Open Source dostępny na ftp://ftp.icce.rug.nl/pub/unix/ a zaktualizowane do wydania 2.0 Samby przez Jeremy Allisona. Konwersja do DocBook dla Samba 2.2 została zrobiona przez Geralda Cartera. Tłumaczenie na język polski i konwersję polskiej wersji do DocBook wykonał Rafał Szcześniak.